# ij.connection.connectionName property

#### Function

Creates a named connection to the given database connection URL when `ij` starts up; it is equivalent to the Connect AS Identifier command. The database connection URL can be of the short form if an ij.protocol is specified. This property can be specified more than once per session, creating multiple connections. When `ij` starts, it displays the names of all the connections created in this way. It also displays the name of the current connection, if there is more than one, in the `ij` prompt.

#### Syntax

    ij.connection.connectionName=databaseConnectionURL

When specified on the command line the databaseConnectionURL should not be enclosed in single quotations, however, if the database path contains special characters (e.g. a space) it must be enclosed in double quotes.

#### Example

This example connects to the existing database sample and creates then connects to the database anohterDB.

    D:> java -Dij.connection.sample1=jdbc:derby:sample
    -Dij.connection.anotherConn=jdbc:derby:anotherDB;create=true
        org.apache.derby.tools.ij
    ij version 10.5
    ANOTHERCONN* -  jdbc:derby:anotherDB;create=true
    SAMPLE1 -        jdbc:derby:sample
    * = current connection
    ij(ANOTHERCONN)>

#### See also

- Connect command

Parent topic: ij properties reference
Related reference
ij.database property
ij.dataSource property
ij.driver property
ij.exceptionTrace property
ij.maximumDisplayWidth property
ij.outfile property
ij.password property
ij.protocol property
ij.protocol.protocolName property
ij.showErrorCode property
ij.showNoConnectionsAtStart property
ij.showNoCountForSelect property
ij.URLCheck property
ij.user property
derby.ui.codeset property